package nz.co.sisu.jco;

import javax.servlet.ServletContextEvent;
import javax.servlet.ServletContextListener;

import org.apache.log4j.Logger;

import com.sap.mw.jco.JCO;

public class JCoLoggingContextListener implements ServletContextListener {

	private static final Logger LOG = Logger
			.getLogger(JCoLoggingContextListener.class);

	public void contextDestroyed(ServletContextEvent event) {
		// do nothing
	}

	public void contextInitialized(ServletContextEvent event) {
		try {
			JCO.addServerErrorListener(new JCoLoggingServerErrorListener());
			JCO.addServerExceptionListener(new JCoLoggingServerExceptionListener());
			JCO.addServerStateChangedListener(new JCoLoggingServerStateChangedListener());
			JCO.addTraceListener(new JCoLoggingTraceListener());
			LOG.info("JCo logging listeners installed");
		} catch (Exception ex) {
			LOG.error("JCo logging listener problem", ex);
		}
	}

}
