package nz.co.sisu.dev.listener;

import java.util.HashMap;
import java.util.Map;

import javax.servlet.ServletContextEvent;
import javax.servlet.ServletContextListener;

import com.sap.isa.core.logging.IsaLocation;
import com.sap.security.api.IAuthentication;
import com.sap.security.api.UMFactory;

import nz.co.sisu.dev.security.StubAuthenticator;

/**
 * Initialises UME in the development environment.
 * 
 * The initialisation is enough to prevent errors occurring and generally
 * involves stub implementations.
 */
public class UMEInitializer implements ServletContextListener {

    private static IsaLocation log = IsaLocation.getInstance(UMEInitializer.class.getName());

    public void contextInitialized(ServletContextEvent arg0) {
        log.warn("Initializing UME factories for development environment");
        initialiseUMEFactory();
    }

    public void contextDestroyed(ServletContextEvent arg0) {
        // do nothing
    }

    private void initialiseUMEFactory() {
        Map factories = new HashMap();
        factories.put(IAuthentication.class, new StubAuthenticator());

        UMFactory.initialize(factories);
    }

}
