package nz.co.sisu.dev.security;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import com.sap.isa.core.logging.IsaLocation;
import com.sap.isa.user.backend.ume.ISessionSecurityAuth;

/**
 * Provides a stub implementation of {@link ISessionSecurityAuth} for the local
 * development environment.
 * 
 * Used by the UME subsystem.
 */
public class StubSessionSecurityAuth implements ISessionSecurityAuth {

    private static IsaLocation log = IsaLocation.getInstance(StubSessionSecurityAuth.class.getName());

    public boolean authenticate(HttpServletRequest request, HttpServletResponse response) {
        // doesn't need to do anything in the Jetty dev environment
        log.debug("UME authenticate - stub implementation");
        
        // currently no code appears to use the returned value
        return false;
    }

}
